> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all model runs

> List all model runs for a specific model.



## OpenAPI

````yaml GET /models/{model_id}/model_runs
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /models/{model_id}/model_runs:
    get:
      summary: List model runs
      description: List all model runs for a specific model.
      operationId: list-model-runs
      parameters:
        - name: model_id
          in: path
          description: Model friendly ID (e.g., mdl_abc123def456)
          schema:
            type: string
          required: true
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 1
                        start_time: '2025-01-01T00:00:00.000Z'
                        end_time: '2025-03-31T23:59:59.000Z'
                        state: complete
                        error_message: null
                        created_at: '2025-01-15T10:00:00.000Z'
                        updated_at: '2025-01-15T10:00:00.000Z'
                        calculations:
                          - id: 1
                            name: Net Carbon Removal
                            value: 100.5
                            unit: t
                            ghg: co2e
                            lca_role: net
                            category: removal
                        output_data_points:
                          - id: dp_abc123
                            slug: net-carbon-removal
                            data_point_type: Net Carbon Removal
                            value: 100.5
                            unit: t
                            status: complete
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        start_time:
                          type: string
                          format: date-time
                        end_time:
                          type: string
                          format: date-time
                        state:
                          type: string
                        error_message:
                          type: string
                          nullable: true
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        calculations:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                              name:
                                type: string
                              value:
                                type: number
                              unit:
                                type: string
                              ghg:
                                type: string
                              lca_role:
                                type: string
                              category:
                                type: string
                        output_data_points:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              slug:
                                type: string
                              data_point_type:
                                type: string
                              value:
                                type: number
                              unit:
                                type: string
                              status:
                                type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````